MPI_Close_port(3)

NAME
MPI_Close_port - Releases the specified network address.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Close_port(const char *port_name)

Fortran Syntax
USE MPI
! or the older form: INCLUDE 'mpif.h'
MPI_CLOSE_PORT(PORT_NAME, IERROR)
	CHARACTER*(*)	PORT_NAME
	INTEGER		IERROR

Fortran 2008 Syntax
USE mpi_f08
MPI_Close_port(port_name, ierror)
	CHARACTER(LEN=*), INTENT(IN) :: port_name
	INTEGER, OPTIONAL, INTENT(OUT) :: ierror

C++ Syntax
#include <mpi.h>
void MPI::Close_port(const char* port_name)

INPUT PARAMETER

port_name
    A port (string).

OUTPUT PARAMETER

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_Close_port releases the network address represented by port_name.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI::Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.